Role Name
=========

A role that installs the acme.sh Letsencrypt.org client

Requirements
------------

Git must be available as a package

Role Variables
--------------

Here are listed the most important defaults. See defaults/main.yml for the complete set of variables.

``` yaml
letsencrypt_acme_install: False
letsencrypt_acme_sh_git_install: True
letsencrypt_acme_sh_certificates_install_dir: '{{ ansible_fqdn }}'
letsencrypt_acme_sh_certificates_install_base_path: '{{ letsencrypt_acme_sh_user_home }}/live'
letsencrypt_acme_sh_certificates_install_path: '{{ letsencrypt_acme_sh_certificates_install_base_path }}/{{ letsencrypt_acme_sh_certificates_install_dir }}'
letsencrypt_acme_email: sysadmin@example.com
```

* Set the following one to `80` if there is no web server that acts as reverse proxy.

``` yaml
letsencrypt_acme_standalone_port: 4402
letsencrypt_acme_sh_domains:
  - { domain: '{{ ansible_fqdn }}', standalone: True }
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
